Skip to main content
POST
/
custom_role
/
{custom_role_api_id}
Update Custom Role
curl --request POST \
  --url https://api.partoo.co/v2/custom_role/{custom_role_api_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "name": "My Custom Role",
  "api_id": "my_custom_role",
  "description": "This Custom Role is just an example for our API documentation",
  "permissions": [
    "business_edit",
    "business_edit_name",
    "review_read"
  ],
  "org_id": 42
}
'
import requests

url = "https://api.partoo.co/v2/custom_role/{custom_role_api_id}"

payload = {
"name": "My Custom Role",
"api_id": "my_custom_role",
"description": "This Custom Role is just an example for our API documentation",
"permissions": ["business_edit", "business_edit_name", "review_read"],
"org_id": 42
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Custom Role',
api_id: 'my_custom_role',
description: 'This Custom Role is just an example for our API documentation',
permissions: ['business_edit', 'business_edit_name', 'review_read'],
org_id: 42
})
};

fetch('https://api.partoo.co/v2/custom_role/{custom_role_api_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "api_id": "my_custom_role"
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

custom_role_api_id
string
required

API identifier of the custom role (api_id)

Query Parameters

org_id
integer

Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.

Body

application/json

Custom role update payload.

name
string

Name of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.

Required string length: 1 - 100
Pattern: ^[^,;\/\\|<>]{1,100}$
Example:

"My Custom Role"

api_id
string

Unique identifier. Cannot contain any of the following characters: ,;/\|<>.

Required string length: 1 - 100
Pattern: ^[^,;\/\\|<>]{1,100}$
Example:

"my_custom_role"

description
string

Description of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.

Required string length: 1 - 200
Pattern: ^[^,;\/\\|<>]{1,200}$
Example:

"This Custom Role is just an example for our API documentation"

permissions
string[]

List of permission names. (Use GET /api/v2/permissions to get a list of all available permissions for your organization.)

Example:
[
"business_edit",
"business_edit_name",
"review_read"
]
org_id
integer | null

Organization ID (optional). Specify if you have access to more than one organization.

Example:

42

Response

OK

Response returned when a custom role is successfully updated.

status
enum<string>

Request status

Available options:
success
api_id
string

API identifier of the updated custom role.

Example:

"my_custom_role"